
#include <rll.h>
#include <string.h>
#include <stddef.h>
#include <stdlib.h>
#include <liblist.h>
#include <libdebug.h>
#ifdef WIN32
#include <io.h>
#else
#include <unistd.h>
#endif
#ifdef __STDC__
#define _P_(params) params
#else
#define _P_(params) ()
#endif
typedef struct _rll_file_{
int fd;
char * rll_thing;
char rll_version[5];
RLL_HEADER * rll_header;
BSS_HEADER * bss_header;
list_t modulelist;
} RLL_FILE;
enum _rll_error {
RLL_ERROR_NONE = 0,
RLL_ERROR_MIN = -1199,
RLL_ERROR_BADPARAM,
RLL_ERROR_BADFORMAT,
RLL_ERROR_READ,
RLL_ERROR_MAX = -1100
};
BSS_HEADER *RLL_BssHeader _P_((RLL_FILE *));
int RLL_Close _P_((RLL_FILE **));
int RLL_CloseFile _P_((RLL_FILE **));
RLL_FILE * RLL_Open _P_((char * name));
RLL_FILE * RLL_OpenFile _P_((int fd));
RLL_FILE * RLL_OpenProg _P_((char * name));
RLL_FILE * RLL_OpenProgFile _P_((int fd));
RLL_FILE * RLL_OpenRLL _P_((char * name));
RLL_FILE * RLL_OpenRLLFile _P_((int fd));
RLL_FILE * _RLL_OpenMem _P_((int fd));
int _RLL_BssArea _P_((RLL_FILE *,long));
#undef _P_
